Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::action::reverse_fn Struct Reference

## Description

Reversed the source range in-place.

## Synopsis of methods
constexpr action< reverse_fn > | reverse {}

## Public Member Functions
template<typename Rng >
auto | operator() (Rng &&rng) const -> Rng requires bidirectional_range< Rng > &&permutable< iterator_t< Rng >>